﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MapApp.Model;

namespace MapApp.Ui
{
    public partial class FrmMarkers : AppFormBase
    {
        private MapLocationCollection _mapLocations;

        public MapLocationCollection MapLocations
        {
            get { return _mapLocations; }
            set
            {
                _mapLocations = value;
                mapLocationsBindingSource.DataSource = _mapLocations;
            }
        }


        public FrmMarkers()
        {
            InitializeComponent();
            CustomInitialize();
        }

        private void CustomInitialize()
        {
            mapLocationCollectionDataGridView.DataSource = mapLocationsBindingSource;
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            this.Hide();
        }
    }
}
