using System;
using System.Collections.Generic;
using System.Text;

using MapApp.Model;

namespace MapApp.UI {
  public class AppUI {

    public static Map Map = new Map(); // The global single instance of a Map in the MapApp

    delegate void SetStatusTextDelegate(string text);

    public static string StatusText {
      set {
        //FrmMain.StatusText = value;
        FrmMain.Instance.BeginInvoke(
          new SetStatusTextDelegate(FrmMain.Instance.SetStatusText), 
          new object[] { value });
      }
    }
  }
}
