using System;
using System.Collections.Generic;
using System.Text;

using MapApp.Model;
using MapApp.Ui.Controls;

namespace MapApp.Ui {
  public class AppUi {

    public static Map Map = new Map(); // The global single instance of a Map in the MapApp

    delegate void SetStatusTextDelegate(string text);

    public static GoogleMapControl MapControl
    {
        get { return FrmMain.Instance.MapControl; }
    }

    public static string StatusText
    {
        set
        {
            //FrmMain.StatusText = value;
            try
            {
                FrmMain.Instance.BeginInvoke(
                  new SetStatusTextDelegate(FrmMain.Instance.SetStatusText),
                  new object[] { value });
            }
            catch { }
        }
    }

    public static string CoordText
    {
        set
        {
            //FrmMain.CoordText = value;
            FrmMain.Instance.BeginInvoke(
              new SetStatusTextDelegate(FrmMain.Instance.SetCoordText),
              new object[] { value });
        }
    }
  }
}
